-- Author      : Nerino1
-- Create Date : 9/9/2016
-- Version 1.0

local f=CreateFrame("frame");
f:RegisterEvent("PLAYER_LOGIN");

local size = 40
local faction = UnitFactionGroup("player")
local level = UnitLevel("player")

local function eventhandler(self,event)
	if event == "PLAYER_LOGIN" then
		if UnitLevel("player") <= 99 then
			ClassHallFinderButton:Hide()
			do return end
		end
		DEFAULT_CHAT_FRAME:AddMessage("ClassHallFinder Loaded.");
	end
end

f:SetScript("OnEvent",eventhandler);

local btn = CreateFrame("Button", "ClassHallFinderButton", UIParent, "SecureActionButtonTemplate")
btn:SetPoint("CENTER")
btn:SetHeight(size)
btn:SetWidth(size)
btn:SetAttribute("type", "item")

local icon = btn:CreateTexture()
icon:SetAllPoints(true)
icon:SetTexture("Interface\\Icons\\Achievement_Dungeon_ClassicRaider")
btn.icon = icon

btn:EnableMouse(true)
btn:SetMovable(true)
btn:RegisterForDrag("LeftButton")
btn:SetScript("OnDragStart", function(self) if IsAltKeyDown() then self:StartMoving() end end)
btn:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)

btn:SetScript("OnClick", function(event)
	if select(2,UnitClass("player"))=="PALADIN" then
		if faction == "Alliance" then
			print ("Class Hall Finder|cffF58CBA Paladin:|R Enter the Greyfang Enclave, go straight up the stairs and enter the golden portal")
		elseif faction == "Horde" then
			print ("Class Hall Finder|cffF58CBA Paladin:|R Enter the Windrunner's Sanctuary, go up two flights of stairs, go in the room on the right and enter the golden portal")	
		end
	elseif select(2,UnitClass("player"))=="WARRIOR" then
		print ("Class Hall Finder|cffC79C6E Warrior:|R On Krasus' Landing, step into the golden light next to the Val'kyr and press the button that pops up")
	elseif select(2,UnitClass("player"))=="HUNTER" then
		print ("Class Hall Finder|cffABD473 Hunter:|R On the left side of Krasus' Landing, speak to Talua for an Eagle flight")
	elseif select(2,UnitClass("player"))=="ROGUE" then
		print ("Class Hall Finder|cffFFF569 Rogue:|R Show your Insignia to the vendor in any of these stores. Glorious Goods(secret passage), One More Glass (brass knocker) or Tanks for Everything (brass knocker)")
	elseif select(2,UnitClass("player"))=="PRIEST" then
		if faction == "Alliance" then
			print ("Class Hall Finder|cffFFFFFF Priest:|R Enter the Greyfang Enclave go up the stairs on the right, in the shop go up the stairs on the right again and enter the silver portal")
		elseif faction == "Horde" then
			print ("Class Hall Finder|cffFFFFFF Priest:|R Enter the Windrunner's Sanctuary, go up two flights of stairs, go in the room on the right and enter the silver portal")	
		end
	elseif select(2,UnitClass("player"))=="DEATHKNIGHT" then
		print ("Class Hall Finder|cffC41F3B Death Knight:|R Teleport to your Order Hall using your Death Gate ability")
	elseif select(2,UnitClass("player"))=="SHAMAN" then
		print ("Class Hall Finder|cff0070DE Shaman:|R On the right side of Krasus' Landing, enter the portal")
	elseif select(2,UnitClass("player"))=="MAGE" then
		print ("Class Hall Finder|cff69CCF0 Mage:|R Teleport to your Order Hall using your Teleport: Hall of the Guardian ability")
	elseif select(2,UnitClass("player"))=="WARLOCK" then
		print ("Class Hall Finder|cff9482C9 Warlock:|R Head down into the sewers. enter the portal at the bottom of the stairs")
	elseif select(2,UnitClass("player"))=="MONK" then
		print ("Class Hall Finder|cff37a587 Monk:|R Teleport to your Order Hall using your Zen Pilgrimage ability")
	elseif select(2,UnitClass("player"))=="DRUID" then
		print ("Class Hall Finder|cffFF7D0A Druid:|R Teleport to your Order Hall using your Dreamwalk ability")
	elseif select(2,UnitClass("player"))=="DEMONHUNTER" then
		print ("Class Hall Finder|cffA330C9 Demon Hunter:|R Jump off Krasus' landing and glide to the small nearby island and use the Portal")
	end
end)

btn:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
		GameTooltip:AddLine("Class Hall Finder")
		GameTooltip:AddLine("Alt+drag to move")
	GameTooltip:Show()
end)

btn:SetScript("OnLeave", function() GameTooltip:Hide() end)
